import {Livewire, Alpine} from '../../vendor/livewire/livewire/dist/livewire.esm';
import Tooltip from '@ryangjchandler/alpine-tooltip';

import '../css/app.css';
import 'tippy.js/dist/tippy.css';
import 'tippy.js/animations/shift-toward.css';
import '../css/tooltip.css';
import {error, success} from './toastify.js';

Alpine.plugin(
    Tooltip.defaultProps({
        theme: 'primary',
        animation: 'shift-toward',
    })
);

window.addEventListener('success', (event) => success(event.detail[0]));

Livewire.start();
